# First import the Pandas library
import pandas as pd

# Our list is a list of strings
fruit_list = ['Apple', 'Banana', 'Cherry', 'Dragon Fruit', 'Elderberry']
print(fruit_list)

df = pd.DataFrame(fruit_list)
print(df)

# Create a list of numbers called number_items
number_items = [3, 4, 25, 2, 50]

# Zip both fruit_list and number_items together, store into DataFrame df2 and
# give appropriate column names
df = pd.DataFrame(list(zip(fruit_list, number_items)), columns = ['Fruit', 'Number'])
print(df)

# Add a column 'Rating' with values [8, 9, 7, 9, 7]
df['Rating'] = [8, 9, 7, 9, 5]
print(df)

# Adding a column val to our DataFrame by using the .assign() method
df = df.assign(val=[324, 35, 645, 867, 78])
print(df)

# Add a column val2 using the .assign() method with value 1 on each row.
df['val2'] = 1
print(df)

import numpy as np

# Adding a column Review with value 1 if Rating>=8 and 0 if Rating<8.
df['Review'] = np.where(df['Rating'] >= 8, '1', '0')
print(df)

def f(row):
    if row['Rating'] < 6:
        classification = 'not good'
    elif row['Rating'] < 8:
        classification = 'plain'
    else:
        classification = 'delicous'
    return classification

# Create a new column Review2 using the function above
df['Review2'] = df.apply(f, axis=1)
print(df)

# Add new column test1, and test2
df = df.assign(Test1=[7, 9, 5, 6, 6])
df = df.assign(Test2=[7, 10, 7, 8, 5])

# Create the new column 'Further_check' with value yes if the values of Test2 were higher than Test1.
# Lower values are marked with no.
df['Further_check'] = np.where(df['Test2'] >= df['Test1'], 'yes', 'no')
print(df)

df_check = df.loc[df['Further_check'] == 'yes', 'Fruit']
print(df_check)
